Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/tests/sbin/envstat Add a test case for PR kern/53410.
details: https://anonhg.NetBSD.org/src/rev/102ce4deb173
branches: trunk
changeset: 935134:102ce4deb173
user: jruoho <jruoho%NetBSD.org@localhost>
date: Thu Jun 25 15:01:35 2020 +0000
description:
Add a test case for PR kern/53410.
diffstat:
distrib/sets/lists/tests/mi | 6 +++-
etc/mtree/NetBSD.dist.tests | 3 +-
tests/sbin/Makefile | 6 ++-
tests/sbin/envstat/Makefile | 8 ++++
tests/sbin/envstat/t_envstat.sh | 67 +++++++++++++++++++++++++++++++++++++++++
5 files changed, 86 insertions(+), 4 deletions(-)
diffs (138 lines):
diff -r bc35169a523e -r 102ce4deb173 distrib/sets/lists/tests/mi
--- a/distrib/sets/lists/tests/mi Thu Jun 25 14:59:51 2020 +0000
+++ b/distrib/sets/lists/tests/mi Thu Jun 25 15:01:35 2020 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: mi,v 1.849 2020/06/25 14:24:45 jruoho Exp $
+# $NetBSD: mi,v 1.850 2020/06/25 15:01:35 jruoho Exp $
#
# Note: don't delete entries from here - mark them as "obsolete" instead.
#
@@ -3967,6 +3967,10 @@
./usr/tests/sbin tests-sbin-tests compattestfile,atf
./usr/tests/sbin/Atffile tests-sbin-tests compattestfile,atf
./usr/tests/sbin/Kyuafile tests-sbin-tests compattestfile,atf,kyua
+./usr/tests/sbin/envstat tests-sbin-tests compattestfile,atf
+./usr/tests/sbin/envstat/Atffile tests-sbin-tests compattestfile,atf
+./usr/tests/sbin/envstat/Kyuafile tests-sbin-tests compattestfile,atf,kyua
+./usr/tests/sbin/envstat/t_envstat tests-sbin-tests compattestfile,atf
./usr/tests/sbin/fsck_ffs tests-sbin-tests compattestfile,atf
./usr/tests/sbin/fsck_ffs/Atffile tests-sbin-tests compattestfile,atf
./usr/tests/sbin/fsck_ffs/Kyuafile tests-sbin-tests compattestfile,atf,kyua
diff -r bc35169a523e -r 102ce4deb173 etc/mtree/NetBSD.dist.tests
--- a/etc/mtree/NetBSD.dist.tests Thu Jun 25 14:59:51 2020 +0000
+++ b/etc/mtree/NetBSD.dist.tests Thu Jun 25 15:01:35 2020 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: NetBSD.dist.tests,v 1.166 2020/06/24 10:05:07 jruoho Exp $
+# $NetBSD: NetBSD.dist.tests,v 1.167 2020/06/25 15:01:35 jruoho Exp $
./usr/libdata/debug/usr/tests
./usr/libdata/debug/usr/tests/atf
@@ -371,6 +371,7 @@
./usr/tests/rump/rumpnet
./usr/tests/rump/rumpvfs
./usr/tests/sbin
+./usr/tests/sbin/envstat
./usr/tests/sbin/fsck_ffs
./usr/tests/sbin/gpt
./usr/tests/sbin/ifconfig
diff -r bc35169a523e -r 102ce4deb173 tests/sbin/Makefile
--- a/tests/sbin/Makefile Thu Jun 25 14:59:51 2020 +0000
+++ b/tests/sbin/Makefile Thu Jun 25 15:01:35 2020 +0000
@@ -1,10 +1,12 @@
-# $NetBSD: Makefile,v 1.7 2015/12/04 17:20:38 christos Exp $
+# $NetBSD: Makefile,v 1.8 2020/06/25 15:01:35 jruoho Exp $
#
.include <bsd.own.mk>
TESTSDIR= ${TESTSBASE}/sbin
-TESTS_SUBDIRS+= fsck_ffs gpt ifconfig newfs newfs_msdos resize_ffs route sysctl
+TESTS_SUBDIRS+= envstat fsck_ffs gpt ifconfig \
+ newfs newfs_msdos resize_ffs \
+ route sysctl
.include <bsd.test.mk>
diff -r bc35169a523e -r 102ce4deb173 tests/sbin/envstat/Makefile
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/sbin/envstat/Makefile Thu Jun 25 15:01:35 2020 +0000
@@ -0,0 +1,8 @@
+# $NetBSD: Makefile,v 1.1 2020/06/25 15:01:35 jruoho Exp $
+
+.include <bsd.own.mk>
+
+TESTSDIR= ${TESTSBASE}/sbin/envstat
+TESTS_SH= t_envstat
+
+.include <bsd.test.mk>
diff -r bc35169a523e -r 102ce4deb173 tests/sbin/envstat/t_envstat.sh
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/sbin/envstat/t_envstat.sh Thu Jun 25 15:01:35 2020 +0000
@@ -0,0 +1,67 @@
+# $NetBSD: t_envstat.sh,v 1.1 2020/06/25 15:01:35 jruoho Exp $
+#
+# Copyright (c) 2020 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# This code is derived from software contributed to The NetBSD Foundation
+# by Jukka Ruohonen.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+atf_test_case zerotemp
+zerotemp_head() {
+ atf_set "descr" "Check with envstat(8) that CPU sensors " \
+ "do not show zero temperatures (PR kern/53410)"
+}
+
+zerotemp_body() {
+
+ devices="amdtemp0 coretemp0 acpitz0" # XXX: What else?
+
+ for dev in $devices; do
+
+ envstat -d $dev >/dev/null 2>&1
+
+ if [ ! $? -eq 0 ]; then
+ echo "Skipping non-existent $dev"
+ continue
+ fi
+
+ if [ $dev = "amdtemp0" ]; then
+ atf_expect_fail "PR kern/53410"
+ fi
+
+ tempf=$(envstat -d $dev | awk '/Current/{getline;print $3}')
+ tempi=$(printf "%.0f" $tempf)
+
+ echo "$dev = $tempf =~ $tempi"
+
+ if [ $tempi -eq 0 ]; then
+ atf_fail "Zero-temperature from $dev"
+ fi
+ done
+}
+
+atf_init_test_cases() {
+ atf_add_test_case zerotemp
+}
Home |
Main Index |
Thread Index |
Old Index